/**
 * Miranda ICQ contact list and events database to Ickle database converter.
 * $Id: errwarn.h,v 1.7 2002/05/30 16:00:07 berk Exp $
 *
 * @file  errwarn.h
 * @brief Errors/warnings/notices output.
 *
 * Copyright (c) 2002, Stanislav Karchebny  <berk@upnet.ru>
 * Distributed under BSD License. See file LICENSE for details.
 */

#ifndef __M2I_ERRWARN_H
#define __M2I_ERRWARN_H

#ifdef VERBOSE
#define Dnotice notice
#else
#define Dnotice(x...)
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern void error(char *fmt, ...);
extern void warning(char *fmt, ...);
extern void notice(char *fmt, ...);

#ifdef __cplusplus
}
#endif

#endif /* __M2I_ERRWARN_H */


